> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpoppy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask knowledge base

> Ask a single question from the chat assistant and connected knowledge base

This endpoint allows you to ask a question and get an answer that incorporates all your connected knowledge sources and documents.

## Query Parameters

<ParamField query="api_key" type="string">
  Your API key for authentication
</ParamField>

<ParamField query="board_id" type="string" required>
  The ID of the board where the chat is located
</ParamField>

<ParamField query="chat_id" type="string" required>
  The ID of the chat assistant
</ParamField>

<ParamField query="prompt" type="string" required>
  The user's question or prompt for the AI
</ParamField>

<ParamField query="model" type="string" default="claude-sonnet-4-6">
  The AI model to use. Allowed values: claude-sonnet-4-6, claude-sonnet-4-5, o3-mini, gpt-4o,
  grok-2-1212, gpt-4o-mini
</ParamField>

<ParamField query="plaintext" type="string" default={false}>
  Force the AI response to use plain text instead of markdown. Allowed values are "true" or
  "active". Any other value will disable plaintext.
</ParamField>

<ParamField query="streaming" type="string" default={false}>
  Return the answer as a stream instead of a JSON. Allowed values are "true" or "active". Any other
  value will disable streaming.
</ParamField>

<ParamField query="additional_context" type="string" default=" ">
  Additional information to provide as context to the AI
</ParamField>

## Response

<ResponseField name="text" type="string">
  The AI-generated response to the prompt
</ResponseField>

<ResponseField name="credits_used" type="number">
  The number of credits used for this request
</ResponseField>

<ResponseField name="credits_remaining" type="number">
  The total number of credits remaining in your account within this month period
</ResponseField>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "text": "Based on the information available, your favorite number is 444.",
    "credits_used": 0.04975,
    "credits_remaining": 1853.74585
  }
  ```
</ResponseExample>

<Note>
  This endpoint is functionally equivalent to the POST /api/conversation endpoint, but allows for
  easier testing and integration in contexts where POST requests are difficult to implement.
</Note>
